function show_stats() {
	
	var $barWidth = 0.7;
	
	var $series1 = { 
	stack: 0,
	color: "#FF0000", 
	bars: {show: true, align: 'center', lineWidth: 0, barWidth: $barWidth, fill: 1},
	label: ["Experienced Flow"],
		data: $data1 };
	
	var $series2 = {
	stack: 0,
	color: "#FFA500", 
	bars: {show: true, align: 'center', lineWidth: 0, barWidth: $barWidth, fill: 1},
	label: ["Highly Focused"],
		data: $data2 }; 
	
	var $series3 = {
	stack: 0,
	color: "#EEEE00", 
	bars: {show: true, align: 'center', lineWidth: 0, barWidth: $barWidth, fill: 1},
	label: ["Good"],
		data: $data3 };
	
	var $series4 = {
	stack: 0,
	color: "#6495ED", 
	bars: {show: true, align: 'center', lineWidth: 0, barWidth: $barWidth, fill: 1},
	label: ["Distracted"],
		data: $data4 };
	
	$.plot($("#placeholder"), [ $series1, $series2, $series3, $series4 ], { yaxis: { 
		   
		   ticks: function hourTicks(ax) { 
		   
		   var tickArray = new Array();
		   
		   if( ax.max >= 18*60 ) { // between 18 and 24 h
		   tickArray = [ [0,0], [6*60, "6 h"], [12*60, "12 h"], [18*60, "18 h"], [24*60, "24 h"] ];				
		   } else 	if( ax.max >= 16*60 ) { // 16 and 18 h					
		   tickArray = [ [0,0], [4*60, "4 h"], [8*60, "8 h"], [12*60, "12 h"], [16*60, "16 h"] ];				
		   } else if( ax.max >= 12 * 60 ) { // 12 and 16 h
		   tickArray = [ [0,0], [4*60, "4 h"], [8*60, "8 h"], [12*60, "12 h"], [16*60, "16 h"] ];				
		   } 	else if( ax.max >= 10 * 60 ) { // 10 and 12 h				
		   tickArray = [ [0,0], [2*60, "2 h"], [4*60, "4 h"], [6*60, "6 h"], [8*60, "8 h"], [10*60, "10 h"], [12*60, "12 h"] ];
		   }	else if( ax.max >= 8 * 60 ) { // 8 and 10 h				
		   tickArray = [ [0,0], [2*60, "2 h"], [4*60, "4 h"], [6*60, "6 h"], [8*60, "8 h"], [10*60, "10 h"] ];
		   } else if (ax.max >= 6 * 60 ) { // 6 to 8 h
		   tickArray = [ [0,0], [2*60, "2 h"], [4*60, "4 h"], [6*60, "6 h"], [8*60, "8 h"] ];				
		   } else if (ax.max >= 5 * 60 ) { // 5 to 6 h
		   tickArray = [ [0,0], [1*60, "1 h"], [2*60, "2 h"], [3*60, "3 h"], [4*60, "4 h"], [5*60, "5 h"], [6*60, "6 h"] ];				
		   }	else if (ax.max >= 4 * 60 ) { // 4 to 5 h
		   tickArray = [ [0,0], [1*60, "1 h"], [2*60, "2 h"], [3*60, "3 h"], [4*60, "4 h"], [5*60, "5 h"] ];				
		   } else if (ax.max >= 3 * 60 ) { // 3 to 4 h
		   tickArray = [ [0,0], [1*60, "1 h"], [2*60, "2 h"], [3*60, "3 h"], [4*60, "4 h"] ];				
		   }	else if (ax.max >= 2 * 60 ) { // 2 to 3 h
		   tickArray = [ [0,0], [1*60, "1 h"], [2*60, "2 h"], [3*60, "3 h"] ];				
		   }	else if (ax.max >= 1.5 * 60 ) { // 1.5 to 2 h
		   tickArray = [ [0,0], [0.5*60, "30 m"], [1*60, "60 m"], [1.5*60, "90 m"], [2*60, "120 m"] ];				
		   }	else if (ax.max >= 1 * 60 ) { // 1 to 1.5 h
		   tickArray = [ [0,0], [0.5*60, "30 m"], [1*60, "60 m"], [1.5*60, "90 m"] ];				
		   }	else if (ax.max >= 45 ) { // 45 min to 1 h
		   tickArray = [ [0,0], [0.25*60, "15 m"], [0.5*60, "30 m"], [0.75*60, "45 m"], [1*60, "60 m"] ];
		   }	else if (ax.max >= 30 ) { // 30 min to 45 m
		   tickArray = [ [0,0], [0.25*60, "15 m"], [0.5*60, "30 m"], [0.75*60, "45 m"] ];
		   }	else if (ax.max >= 15 ) { // 15 min to 30 min
		   tickArray = [ [0,0], [0.25*60, "15 m"], [0.5*60, "30 m"] ];				
		   } else {
		   tickArray = [[0,0], [5, "5 m"], [10, "10 m"], [15, "15 m"]];			
		   }
		   
		   return tickArray; 
		   
		   }		
		   }, 
		   xaxis: { autoscaleMargin: 0.02, tickLength: 0, ticks: $ticks}, legend: { noColumns: 4, container: $("#legend") }, 
		   grid: {show: 1, backgroundColor:"#444444", borderWidth: 1, borderColor: "#777777"} });
	
}